%define major 0
# TODO: Library package requires re-work
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	ZZipLib - libZ-based ZIP-access Library
Name:		zziplib
Version:	0.13.62
Release:	4
License:	LGPLv2.1+
Group:		System/Libraries
Url:		http://zziplib.sf.net
Source0:	http://prdownloads.sourceforge.net/zziplib/%{name}-%{version}.tar.bz2
Patch3:         zziplib-CVE-2017-5974.patch
Patch4:         zziplib-CVE-2017-5975.patch
Patch5:         zziplib-CVE-2017-5976.patch
Patch6:         zziplib-CVE-2017-5978.patch
Patch7:         zziplib-CVE-2017-5979.patch
Patch8:         zziplib-unzipcat-NULL-name.patch
Patch9:         zziplib-CVE-2017-5981.patch
BuildRequires:	pkgconfig(zlib)
BuildRequires:	multiarch-utils >= 1.0.3
# OE: python and pkgconfig is required for making the docs
BuildRequires:	python
BuildRequires:	zip

%description
zziplib provides read access to zipped files in a zip-archive,
using compression based solely on free algorithms provided by zlib.
zziplib provides an additional API to transparently access files
being either real files or zipped files with the same filepath argument.
This is handy to package many files being shared data into a single
zip file - as it is sometimes used with gamedata or script repositories.
The library itself is fully multithreaded, and it is namespace clean
using the zzip_ prefix for its exports and declarations.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	ZZipLib - libZ-based ZIP-access Library
Group:		System/Libraries
%rename		zziplib0

%description -n %{libname}
zziplib provides read access to zipped files in a zip-archive,
using compression based solely on free algorithms provided by zlib.
zziplib provides an additional API to transparently access files
being either real files or zipped files with the same filepath argument.
This is handy to package many files being shared data into a single
zip file - as it is sometimes used with gamedata or script repositories.
The library itself is fully multithreaded, and it is namespace clean
using the zzip_ prefix for its exports and declarations.

%files -n %{libname}
%doc ChangeLog README docs/COPYING*
%{_libdir}/libzzip*-*.so.*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	ZZipLib - Development Files
Group:		Development/Other
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
%rename		zziplib0-devel

%description -n %{devname}
zziplib provides read access to zipped files in a zip-archive,
using compression based solely on free algorithms provided by zlib.
these are the header files needed to develop programs using zziplib.
there are test binaries to hint usage of the library in user programs.

%files -n %{devname}
%doc docs/README* docs/*.html ChangeLog README TODO
%{_bindir}/unzzip*
%{_bindir}/zz*
%{_bindir}/unzip-mem
%{_libdir}/libzzip*.so
%{_libdir}/libzzip*.a
%dir %{multiarch_includedir}/zzip
%{multiarch_includedir}/zzip/_config.h
%{multiarch_includedir}/zzip/_msvc.h
%{_includedir}/*.h
%dir %{_includedir}/zzip
%{_includedir}/zzip/*.h
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4
%{_mandir}/man3/*

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

# perl path fix
find -type f | xargs perl -pi -e "s|/usr/local/bin/perl|%{_bindir}/perl|g"

%build
autoreconf -fi
%configure2_5x
%make

%install
%makeinstall_std

%multiarch_includes %{buildroot}%{_includedir}/zzip/_config.h

%multiarch_includes %{buildroot}%{_includedir}/zzip/_msvc.h

%check
make check


%changelog

* Tue Jun 13 2017 Denis Silakov <denis.silakov@rosalab.ru> 0.13.62-4
- (8c0a42c) ADded fixes for a bunch of CVEs


